<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Class Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Class Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A class in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab9c7f270c30fa505b1e5abc93a4541c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab9c7f270c30fa505b1e5abc93a4541c5">Class</a> ()</td></tr>
<tr class="separator:ab9c7f270c30fa505b1e5abc93a4541c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609736f24be6342c0063586b7c5e626f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a609736f24be6342c0063586b7c5e626f">Class</a> (string name, string baseClass=default, string comment=default)</td></tr>
<tr class="separator:a609736f24be6342c0063586b7c5e626f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa35ac900d19d3316e97158937d5f71df"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa35ac900d19d3316e97158937d5f71df">WithName</a> (string name)</td></tr>
<tr class="separator:aa35ac900d19d3316e97158937d5f71df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf70874d3fd1c921a49a9b7254e399b3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aaf70874d3fd1c921a49a9b7254e399b3">WithBaseClass</a> (string baseClass)</td></tr>
<tr class="separator:aaf70874d3fd1c921a49a9b7254e399b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3312cef392543c8a0a582762dc7ac951"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3312cef392543c8a0a582762dc7ac951">AddModifier</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> modifier)</td></tr>
<tr class="separator:a3312cef392543c8a0a582762dc7ac951"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e49b87bac2ad19d139ef54fb5e9dd92"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a4e49b87bac2ad19d139ef54fb5e9dd92">AddModifiers</a> (params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[] modifiers)</td></tr>
<tr class="separator:a4e49b87bac2ad19d139ef54fb5e9dd92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4e9b0063ed7ab3d7aeecc6e02f9bfa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a8f4e9b0063ed7ab3d7aeecc6e02f9bfa">AddModifiers</a> (IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; modifiers)</td></tr>
<tr class="separator:a8f4e9b0063ed7ab3d7aeecc6e02f9bfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7420a6568dd0b4b9a5c0709c4d36e29c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a7420a6568dd0b4b9a5c0709c4d36e29c">AddProperty</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property)</td></tr>
<tr class="separator:a7420a6568dd0b4b9a5c0709c4d36e29c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c1f151cc82d5387c5edd8ae3eec052d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0c1f151cc82d5387c5edd8ae3eec052d">AddProperties</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>[] properties)</td></tr>
<tr class="separator:a0c1f151cc82d5387c5edd8ae3eec052d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b6c2b19514164dbf639e74b31f91eaa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6b6c2b19514164dbf639e74b31f91eaa">AddProperties</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> &gt; properties)</td></tr>
<tr class="separator:a6b6c2b19514164dbf639e74b31f91eaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab1e77c20c49984a9bd5345a7b534214"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aab1e77c20c49984a9bd5345a7b534214">AddConstructor</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor)</td></tr>
<tr class="separator:aab1e77c20c49984a9bd5345a7b534214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeaa23d92c6d181936d00197c15adb89"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aeeaa23d92c6d181936d00197c15adb89">AddConstructors</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>[] constructors)</td></tr>
<tr class="separator:aeeaa23d92c6d181936d00197c15adb89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6793b099ab478ebcb0d97b7261c15a0a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6793b099ab478ebcb0d97b7261c15a0a">AddConstructors</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> &gt; constructors)</td></tr>
<tr class="separator:a6793b099ab478ebcb0d97b7261c15a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e8b8b468cd2ba68ea641fb79ec45bb1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a1e8b8b468cd2ba68ea641fb79ec45bb1">AddGetableProperty</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> getableProperty)</td></tr>
<tr class="separator:a1e8b8b468cd2ba68ea641fb79ec45bb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2da61c213aa474c81ed47322ced94cc3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a2da61c213aa474c81ed47322ced94cc3">AddGetableProperties</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>[] getableProperties)</td></tr>
<tr class="separator:a2da61c213aa474c81ed47322ced94cc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada69995a8f78c9f97637c063667d25d3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ada69995a8f78c9f97637c063667d25d3">AddGetableProperties</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> &gt; getableProperties)</td></tr>
<tr class="separator:ada69995a8f78c9f97637c063667d25d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af890f416ca342ec7ebc7f0cab31835ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#af890f416ca342ec7ebc7f0cab31835ae">AddMethod</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method)</td></tr>
<tr class="separator:af890f416ca342ec7ebc7f0cab31835ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac783b74c98557fc9ae7b5aa1f84ccca2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac783b74c98557fc9ae7b5aa1f84ccca2">AddMethods</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>[] methods)</td></tr>
<tr class="separator:ac783b74c98557fc9ae7b5aa1f84ccca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a580303392b8a2b60c5e000a2d9ca6877"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a580303392b8a2b60c5e000a2d9ca6877">AddMethods</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> &gt; methods)</td></tr>
<tr class="separator:a580303392b8a2b60c5e000a2d9ca6877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a7561a868264d80a960c90d35f2a38c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a4a7561a868264d80a960c90d35f2a38c">WithComment</a> (string comment)</td></tr>
<tr class="separator:a4a7561a868264d80a960c90d35f2a38c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab129dcd971c1d2e3263689e54a23f64d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab129dcd971c1d2e3263689e54a23f64d">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:ab129dcd971c1d2e3263689e54a23f64d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab129dcd971c1d2e3263689e54a23f64d">More...</a><br /></td></tr>
<tr class="separator:ab129dcd971c1d2e3263689e54a23f64d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b65ee3e324534c44248bc39c8e87023"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0b65ee3e324534c44248bc39c8e87023">BaseClass</a><code> [get]</code></td></tr>
<tr class="memdesc:a0b65ee3e324534c44248bc39c8e87023"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0b65ee3e324534c44248bc39c8e87023">More...</a><br /></td></tr>
<tr class="separator:a0b65ee3e324534c44248bc39c8e87023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6728c31277ae7daee36a39c097529fc7"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6728c31277ae7daee36a39c097529fc7">Modifiers</a><code> [get]</code></td></tr>
<tr class="memdesc:a6728c31277ae7daee36a39c097529fc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access modifiers of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6728c31277ae7daee36a39c097529fc7">More...</a><br /></td></tr>
<tr class="separator:a6728c31277ae7daee36a39c097529fc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5be476181b6664a3d2c6909940961cf1"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a5be476181b6664a3d2c6909940961cf1">Properties</a><code> [get]</code></td></tr>
<tr class="memdesc:a5be476181b6664a3d2c6909940961cf1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Properties of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a5be476181b6664a3d2c6909940961cf1">More...</a><br /></td></tr>
<tr class="separator:a5be476181b6664a3d2c6909940961cf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a586a1e6b34f619ce6781844851067d10"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a586a1e6b34f619ce6781844851067d10">Constructors</a><code> [get]</code></td></tr>
<tr class="memdesc:a586a1e6b34f619ce6781844851067d10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructors of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a586a1e6b34f619ce6781844851067d10">More...</a><br /></td></tr>
<tr class="separator:a586a1e6b34f619ce6781844851067d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac21010aead82ee61ff8610f3fe60ef97"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac21010aead82ee61ff8610f3fe60ef97">GetableProperties</a><code> [get]</code></td></tr>
<tr class="memdesc:ac21010aead82ee61ff8610f3fe60ef97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Properties of the class that have a getter  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac21010aead82ee61ff8610f3fe60ef97">More...</a><br /></td></tr>
<tr class="separator:ac21010aead82ee61ff8610f3fe60ef97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d44911578ee11551f05e2c4d0ae44bf"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3d44911578ee11551f05e2c4d0ae44bf">Methods</a><code> [get]</code></td></tr>
<tr class="memdesc:a3d44911578ee11551f05e2c4d0ae44bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methods of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3d44911578ee11551f05e2c4d0ae44bf">More...</a><br /></td></tr>
<tr class="separator:a3d44911578ee11551f05e2c4d0ae44bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa203b25e639ffda245eac255c6ab43ef"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa203b25e639ffda245eac255c6ab43ef">Comment</a><code> [get]</code></td></tr>
<tr class="memdesc:aa203b25e639ffda245eac255c6ab43ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Comment of the class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa203b25e639ffda245eac255c6ab43ef">More...</a><br /></td></tr>
<tr class="separator:aa203b25e639ffda245eac255c6ab43ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A class in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab9c7f270c30fa505b1e5abc93a4541c5" name="ab9c7f270c30fa505b1e5abc93a4541c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9c7f270c30fa505b1e5abc93a4541c5">&#9670;&nbsp;</a></span>Class() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Class.Class </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a609736f24be6342c0063586b7c5e626f" name="a609736f24be6342c0063586b7c5e626f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a609736f24be6342c0063586b7c5e626f">&#9670;&nbsp;</a></span>Class() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Class.Class </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>baseClass</em> = <code>default</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aab1e77c20c49984a9bd5345a7b534214" name="aab1e77c20c49984a9bd5345a7b534214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab1e77c20c49984a9bd5345a7b534214">&#9670;&nbsp;</a></span>AddConstructor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddConstructor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td>
          <td class="paramname"><em>constructor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6793b099ab478ebcb0d97b7261c15a0a" name="a6793b099ab478ebcb0d97b7261c15a0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6793b099ab478ebcb0d97b7261c15a0a">&#9670;&nbsp;</a></span>AddConstructors() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddConstructors </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> &gt;&#160;</td>
          <td class="paramname"><em>constructors</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeeaa23d92c6d181936d00197c15adb89" name="aeeaa23d92c6d181936d00197c15adb89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeaa23d92c6d181936d00197c15adb89">&#9670;&nbsp;</a></span>AddConstructors() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddConstructors </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>[]&#160;</td>
          <td class="paramname"><em>constructors</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada69995a8f78c9f97637c063667d25d3" name="ada69995a8f78c9f97637c063667d25d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada69995a8f78c9f97637c063667d25d3">&#9670;&nbsp;</a></span>AddGetableProperties() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddGetableProperties </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> &gt;&#160;</td>
          <td class="paramname"><em>getableProperties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2da61c213aa474c81ed47322ced94cc3" name="a2da61c213aa474c81ed47322ced94cc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2da61c213aa474c81ed47322ced94cc3">&#9670;&nbsp;</a></span>AddGetableProperties() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddGetableProperties </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>[]&#160;</td>
          <td class="paramname"><em>getableProperties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e8b8b468cd2ba68ea641fb79ec45bb1" name="a1e8b8b468cd2ba68ea641fb79ec45bb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e8b8b468cd2ba68ea641fb79ec45bb1">&#9670;&nbsp;</a></span>AddGetableProperty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddGetableProperty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td>
          <td class="paramname"><em>getableProperty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af890f416ca342ec7ebc7f0cab31835ae" name="af890f416ca342ec7ebc7f0cab31835ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af890f416ca342ec7ebc7f0cab31835ae">&#9670;&nbsp;</a></span>AddMethod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddMethod </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td>
          <td class="paramname"><em>method</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a580303392b8a2b60c5e000a2d9ca6877" name="a580303392b8a2b60c5e000a2d9ca6877"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a580303392b8a2b60c5e000a2d9ca6877">&#9670;&nbsp;</a></span>AddMethods() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddMethods </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> &gt;&#160;</td>
          <td class="paramname"><em>methods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac783b74c98557fc9ae7b5aa1f84ccca2" name="ac783b74c98557fc9ae7b5aa1f84ccca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac783b74c98557fc9ae7b5aa1f84ccca2">&#9670;&nbsp;</a></span>AddMethods() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddMethods </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>[]&#160;</td>
          <td class="paramname"><em>methods</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3312cef392543c8a0a582762dc7ac951" name="a3312cef392543c8a0a582762dc7ac951"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3312cef392543c8a0a582762dc7ac951">&#9670;&nbsp;</a></span>AddModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&#160;</td>
          <td class="paramname"><em>modifier</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f4e9b0063ed7ab3d7aeecc6e02f9bfa" name="a8f4e9b0063ed7ab3d7aeecc6e02f9bfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f4e9b0063ed7ab3d7aeecc6e02f9bfa">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt;&#160;</td>
          <td class="paramname"><em>modifiers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e49b87bac2ad19d139ef54fb5e9dd92" name="a4e49b87bac2ad19d139ef54fb5e9dd92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e49b87bac2ad19d139ef54fb5e9dd92">&#9670;&nbsp;</a></span>AddModifiers() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddModifiers </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>[]&#160;</td>
          <td class="paramname"><em>modifiers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6b6c2b19514164dbf639e74b31f91eaa" name="a6b6c2b19514164dbf639e74b31f91eaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b6c2b19514164dbf639e74b31f91eaa">&#9670;&nbsp;</a></span>AddProperties() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddProperties </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> &gt;&#160;</td>
          <td class="paramname"><em>properties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c1f151cc82d5387c5edd8ae3eec052d" name="a0c1f151cc82d5387c5edd8ae3eec052d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c1f151cc82d5387c5edd8ae3eec052d">&#9670;&nbsp;</a></span>AddProperties() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddProperties </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>[]&#160;</td>
          <td class="paramname"><em>properties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7420a6568dd0b4b9a5c0709c4d36e29c" name="a7420a6568dd0b4b9a5c0709c4d36e29c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7420a6568dd0b4b9a5c0709c4d36e29c">&#9670;&nbsp;</a></span>AddProperty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.AddProperty </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf70874d3fd1c921a49a9b7254e399b3" name="aaf70874d3fd1c921a49a9b7254e399b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf70874d3fd1c921a49a9b7254e399b3">&#9670;&nbsp;</a></span>WithBaseClass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.WithBaseClass </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>baseClass</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a7561a868264d80a960c90d35f2a38c" name="a4a7561a868264d80a960c90d35f2a38c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a7561a868264d80a960c90d35f2a38c">&#9670;&nbsp;</a></span>WithComment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.WithComment </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa35ac900d19d3316e97158937d5f71df" name="aa35ac900d19d3316e97158937d5f71df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa35ac900d19d3316e97158937d5f71df">&#9670;&nbsp;</a></span>WithName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> xAPI_Definitions_Parser.Code.SyntaxTree.Class.WithName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a0b65ee3e324534c44248bc39c8e87023" name="a0b65ee3e324534c44248bc39c8e87023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b65ee3e324534c44248bc39c8e87023">&#9670;&nbsp;</a></span>BaseClass</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Class.BaseClass</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Base class of the class </p>

</div>
</div>
<a id="aa203b25e639ffda245eac255c6ab43ef" name="aa203b25e639ffda245eac255c6ab43ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa203b25e639ffda245eac255c6ab43ef">&#9670;&nbsp;</a></span>Comment</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Class.Comment</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Comment of the class </p>

</div>
</div>
<a id="a586a1e6b34f619ce6781844851067d10" name="a586a1e6b34f619ce6781844851067d10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a586a1e6b34f619ce6781844851067d10">&#9670;&nbsp;</a></span>Constructors</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Class.Constructors</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructors of the class </p>

</div>
</div>
<a id="ac21010aead82ee61ff8610f3fe60ef97" name="ac21010aead82ee61ff8610f3fe60ef97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac21010aead82ee61ff8610f3fe60ef97">&#9670;&nbsp;</a></span>GetableProperties</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Class.GetableProperties</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Properties of the class that have a getter </p>

</div>
</div>
<a id="a3d44911578ee11551f05e2c4d0ae44bf" name="a3d44911578ee11551f05e2c4d0ae44bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d44911578ee11551f05e2c4d0ae44bf">&#9670;&nbsp;</a></span>Methods</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Class.Methods</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Methods of the class </p>

</div>
</div>
<a id="a6728c31277ae7daee36a39c097529fc7" name="a6728c31277ae7daee36a39c097529fc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6728c31277ae7daee36a39c097529fc7">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Class.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Access modifiers of the class </p>

</div>
</div>
<a id="ab129dcd971c1d2e3263689e54a23f64d" name="ab129dcd971c1d2e3263689e54a23f64d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab129dcd971c1d2e3263689e54a23f64d">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Class.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the class </p>

</div>
</div>
<a id="a5be476181b6664a3d2c6909940961cf1" name="a5be476181b6664a3d2c6909940961cf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5be476181b6664a3d2c6909940961cf1">&#9670;&nbsp;</a></span>Properties</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.Class.Properties</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Properties of the class </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_class_8cs.html">Class.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
